python-gnupg_0.3.9-1_all.deb


Advertisement

Description

python-gnupg - Python wrapper for the GNU Privacy Guard (Python 2.x)

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-gnupg
Package version 0.3.9
Package release 1
Package architecture all
Package type deb
Installed size 68 B
Download size 16.02 KB
Official Mirror archive.ubuntu.com
Python-GnuPG allows easy and well-documented access to basic GnuPG
functionality such as generating and managing keys, encrypting and
decrypting data, signing and verifying messages.
This package provides Python 2.x version of python-gnupg.

Alternatives

Package Version Architecture Repository
python-gnupg_0.3.9-1_all.deb 0.3.9 all Ubuntu Universe
python-gnupg - - -

Requires

Name Value
gnupg1 -
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package python-gnupg_0.3.9-1_all.deb
Source Package python-gnupg

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-gnupg deb package:
    # sudo apt-get install python-gnupg

Files

Path
/usr/lib/python2.7/dist-packages/gnupg.py
/usr/lib/python2.7/dist-packages/python_gnupg-0.3.9.egg-info
/usr/share/doc/python-gnupg/changelog.Debian.gz
/usr/share/doc/python-gnupg/copyright

Changelog

2016-10-21 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.3.9-1) unstable; urgency=medium
* Removed patches merged upstream.
* New upstream release.
2016-08-17 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.3.8-3) unstable; urgency=medium
[ Ondřej Nový ]
* Fixed VCS URL (https)
[ Elena Grandi ]
* Force using gpg1 at build time
* Default on gpg1
* Updated standard version to 3.9.8 (no changes needed)
* Add explicit build-dependency on gnupg1 (Closes: #834600)
2015-11-29 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.3.8-2) unstable; urgency=medium
[Andreas Noteng <andreas@noteng.no>]
* Subkey fingerprints are no longer incorrectly captured (Closes: #802967)
2015-10-13 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.3.8-1) unstable; urgency=medium
[ Elena Grandi ]
* New upstream release
* tarball signature manually checked from
https://pypi.python.org/pypi/python-gnupg/0.3.8
* Updated compat to 9
[ DPMT ]
* Update Vcs fields for git migration
2015-05-03 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.3.7-2) unstable; urgency=medium
* Upload to sid of new upstream release.
* Converted to pybuild.
2015-02-05 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.3.7-1) experimental; urgency=medium
* New upstream release. Closes: #774770.
* Skipped one test that is failing because of missing files.
* Updated watch file to use http://pypi.debian.net and check gpg signature.
* Fixed short name of the BSD-3-clause license in debian/copyright.
* Updated standard versions to 3.9.6 (no change needed).
* Fixed capitalization in description.
2014-02-06 - Elena Grandi <elena.valhalla@gmail.com>
python-gnupg (0.3.6-1) unstable; urgency=high
* New upstream release. Closes: #738509, #736496.
* CVE-2014-1928 (Erroneous insertion of a \ character) fixed upstream
* CVE-2014-1927 (Erroneous assumptions about the usability of " characters) 
fixed upstream
* CVE-2013-7323 (Unrestricted use of unquoted strings in a shell) 
fixed upstream
* Updated watch file for new download source (pypi).
* Updated standard versions to 3.9.5 (no change needed).
* Removed use_quick_random_for_gnupg_1.patch (applied upstream).
* Updated project homepage
2013-09-15 - Elena Grandi <elena.valhalla@gmail.com>
python-gnupg (0.3.5-2) unstable; urgency=low
[ Dmitry Shachnev ]
* Skip more tests that require network connection. Closes: #721965.
[ Elena Grandi ]
* Discard http(s) traffic to catch early further similar problems.
2013-08-31 - Elena Grandi <elena.valhalla@gmail.com>
python-gnupg (0.3.5-1) unstable; urgency=low
* New upstream release. Closes: #721296, #721294.
* Updated standard versions to 3.9.4 (no change needed).
* Reverted simplification of --quick-random workaround.
* Adding --quick-random instead of --debug-quick-random for 
gnupg < 2.
2013-06-06 - Elena Grandi <elena.valhalla@gmail.com>
python-gnupg (0.3.4-1) unstable; urgency=low
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ Elena Grandi ]
* New upstream release. Closes: #695796
* Removed testsuite patches (merged upstream).
* Simplified --quick-random workaround thanks to partial upstream 
fixes. https://code.google.com/p/python-gnupg/issues/detail?id=61

See Also

Package Description
python-gnuplot_1.8-6_all.deb Python interface to the gnuplot plotting program
python-gnutls_3.0.0-1_i386.deb Python wrapper for the GNUTLS library
python-gobject_3.24.1-2build1_all.deb Python 2.x bindings for GObject - transitional package
python-goocalendar_0.3-2_all.deb Calendar widget for GTK+ using PyGoocanvas (Python 2)
python-google-apputils_0.4.1-1ubuntu2_all.deb Google Application Utilities - Python 2.x
python-google-compute-engine_20171006+dfsg1-0ubuntu1_all.deb Python library for Google Compute Engine interaction
python-googleapi-samples_1.5.5-1_all.deb Google APIs Client Library for Python, samples
python-googleapi_1.5.5-1_all.deb Google APIs Client Library - Python 2.x
python-googlecloudapis_0.9.30+debian1-1.1build1_all.deb collection of utilities for client-side tools - Python 2.x
python-gpg_1.8.0-3ubuntu5_i386.deb Python interface to the GPGME GnuPG encryption library (Python 2)
python-gphoto2cffi_0.3~a1-1build1_i386.deb GPhoto2 bindings with simpler API
python-gpiv_2.0.0-4.2_i386.deb wrapper of libgpiv
python-gpod_0.8.3-8.2_i386.deb Python bindings for libgpod
python-gps_3.16-4_i386.deb Global Positioning System - Python libraries
python-gpxpy_1.1.2-1_all.deb GPX file parser and GPS track manipulation library (Python 2)
Advertisement
Advertisement